Package net.shibboleth.idp.attribute.resolver.impl

# Class AttributeResolverServiceGaugeSet.CacheStatsPojo

java.lang.Object
net.shibboleth.idp.attribute.resolver.impl.AttributeResolverServiceGaugeSet.CacheStatsPojo

Enclosing class:
  AttributeResolverServiceGaugeSet

public static class AttributeResolverServiceGaugeSet.CacheStatsPojo extends Object
A Plain Old Java Object to encapsulate the counts from a `CacheStats`

## Field Summary

Fields
Modifier and Type
Field
Description
`final long`
`evictionCount`
The Returns the number of times an entry has been evicted.
`(package private) final long`
`hitCount`
The number of times `Cache` lookup methods have returned a cached value.
`final long`
`loadExceptionCount`
The number of times `Cache` lookup methods threw an exception while loading a new value.
`final long`
`loadSuccessCount`
The number of times `Cache` lookup methods have successfully loaded a new value.
`final long`
`missCount`
The the number of times `Cache` lookup methods have returned an uncached (newly loaded) value, or null.

## Constructor Summary

Constructors
Constructor
Description
`CacheStatsPojo(CacheStats s)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hitCount

final long hitCount
The number of times `Cache` lookup methods have returned a cached value. See `CacheStats.hitCount()`

### missCount

public final long missCount
The the number of times `Cache` lookup methods have returned an uncached (newly loaded) value, or null. See `CacheStats.missCount()`

### loadSuccessCount

public final long loadSuccessCount
The number of times `Cache` lookup methods have successfully loaded a new value. See `CacheStats.loadSuccessCount()`

### loadExceptionCount

public final long loadExceptionCount
The number of times `Cache` lookup methods threw an exception while loading a new value. See `CacheStats.loadExceptionCount()`

### evictionCount

public final long evictionCount
The Returns the number of times an entry has been evicted. See `CacheStats.evictionCount()`

## Constructor Details

### CacheStatsPojo

CacheStatsPojo(CacheStats s)
Constructor.

Parameters:
  `s` - what to return.